Skip to content

Create Task lucataco/flux-dev-lora

POST https://www.kkiai.com/replicate/v1/predictions

Official Documentation: https://replicate.com/lucataco/flux-dev-lora

Request Parameters

Authorization

Add the Authorization parameter to the Header, with the value being the Token concatenated after Bearer

Example: Authorization: Bearer ********************

Header Parameters

ParameterTypeRequiredDescriptionExample
AuthorizationstringOptionalBearer {{YOUR_API_KEY}}

Body Parameters (application/json)

ParameterTypeRequiredDescription
versionstringOptional
inputobjectOptional
  └ promptstringRequired
  └ hf_lorastringOptionalURL from HF, Replicate, CivitAI or LoRA. Example: alvdansen/frosting_lane_flux
  └ lora_scalenumberOptionalScale of LoRA weight. Default: 0.8.
  └ num_outputsintegerOptionalNumber of images to output. Default: 1. Min: 1, Max: 4.
  └ aspect_ratiostringOptionalAspect ratio of generated image. Default: "1:1".
  └ output_formatstringOptionalFormat of output image. Default: "webp".
  └ guidance_scalenumberOptionalGuidance strength. Default: 3.5. Min: 0, Max: 10.
  └ output_qualityintegerOptionalQuality when saving output image, range 0 to 100. 100 is best quality, 0 is lowest quality. Not applicable to .png output. Default: 80.
  └ prompt_strengthnumberOptionalPrompt strength (or denoising strength) when using image-to-image. 1.0 corresponds to completely destroying information in the image. Default: 0.8.
  └ num_inference_stepsintegerOptionalNumber of inference steps. Default: 28. Min: 1, Max: 50.

Request Example

json
{
    "version": "lucataco/flux-dev-lora:091495765fa5ef2725a175a57b276ec30dc9d39c22d30410f2ede68a3eab66b3",
    "input": {
      "prompt": "a beautiful castle frstingln illustration",
      "hf_lora": "alvdansen/frosting_lane_flux",
      "lora_scale": 0.8,
      "num_outputs": 1,
      "aspect_ratio": "1:1",
      "output_format": "webp",
      "guidance_scale": 3.5,
      "output_quality": 80,
      "prompt_strength": 0.8,
      "num_inference_steps": 28
    }
  }

cURL Example

bash
curl --location --request POST 'https://www.kkiai.com/replicate/v1/predictions' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "version": "lucataco/flux-dev-lora:091495765fa5ef2725a175a57b276ec30dc9d39c22d30410f2ede68a3eab66b3",
    "input": {
      "prompt": "a beautiful castle frstingln illustration",
      "hf_lora": "alvdansen/frosting_lane_flux",
      "lora_scale": 0.8,
      "num_outputs": 1,
      "aspect_ratio": "1:1",
      "output_format": "webp",
      "guidance_scale": 3.5,
      "output_quality": 80,
      "prompt_strength": 0.8,
      "num_inference_steps": 28
    }
  }'

Response

🟢 200 Success

Response Body

ParameterTypeRequiredDescription
idstringRequired
modelstringRequired
versionstringRequired
inputobjectRequired
  └ aspect_ratiostringRequired
  └ input_imagestringRequired
  └ output_formatstringRequired
  └ promptstringRequired
  └ prompt_upsamplingbooleanRequired
  └ safety_toleranceintegerRequired
logsstringRequired
outputnullRequired
data_removedbooleanRequired
errornullRequired
statusstringRequired
created_atstringRequired
urlsobjectRequired
  └ cancelstringRequired
  └ getstringRequired
  └ streamstringRequired
  └ webstringRequired

Response Example

json
{
    "id": "c9zn270jk1rj00crans8m6ssjc",
    "model": "lucataco/flux-dev-lora",
    "version": "091495765fa5ef2725a175a57b276ec30dc9d39c22d30410f2ede68a3eab66b3",
    "input": {
        "aspect_ratio": "1:1",
        "guidance_scale": 3.5,
        "hf_lora": "alvdansen/frosting_lane_flux",
        "lora_scale": 0.8,
        "num_inference_steps": 28,
        "num_outputs": 1,
        "output_format": "webp",
        "output_quality": 80,
        "prompt": "a beautiful castle frstingln illustration",
        "prompt_strength": 0.8
    },
    "logs": "",
    "output": null,
    "data_removed": false,
    "error": null,
    "status": "starting",
    "created_at": "2025-07-29T09:09:55.992Z",
    "urls": {
        "cancel": "https://api.replicate.com/v1/predictions/c9zn270jk1rj00crans8m6ssjc/cancel",
        "get": "https://api.replicate.com/v1/predictions/c9zn270jk1rj00crans8m6ssjc",
        "stream": "https://stream.replicate.com/v1/files/qoxq-37kfnrolbp7l2vy5f2ffduf6vyqye4savtprvsiikqzpcjbuejfa",
        "web": "https://replicate.com/p/c9zn270jk1rj00crans8m6ssjc"
    }
}